Bug 467306 - Inconsistant character limitation when creating/cloning kickstarts
Inconsistant character limitation when creating/cloning kickstarts
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.2
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Jay Dobies
Brandon Perkins
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-16 15:26 EDT by Jason Dobies
Modified: 2009-09-17 03:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-10-16 15:26:55 EDT
Description of problem:

Using the satellite v5.1.1 interface to clone kickstarts it allows . (dot) under the Kickstart Profile Label field of the new kickstart.

However subsequently attempting to change the new kickstart by updating any field presented on this page: /rhn/kickstart/KickstartDetailsEdit.do it tells me that:
"Your selected kickstart label is invalid, it must be at least 6 characters and only contain the following characters : A-Z, a-z, 0-9, _, -"
Which means we cant then save the kickstart.

How reproducible:
Always.

Steps to Reproduce:
1. Login to satellite -> Systems -> Kickstart -> Profiles -> Open any of them and click on Clone Kickstart
2. Enter the label as testks.cfg and click on Clone Kickstart
3. Now click on "Update Kickstart"

Actual results:
After step 2 - kickstart profile is created.
After step 3 - you get - Your selected kickstart label is invalid, it must be at least 6 characters and only contain the following characters : A-Z, a-z, 0-9, _, -

Expected results:
After step 3 - Cloning of KS Profile with label testks.cfg should have failed with error message "Your selected kickstart label is invalid, it must be at least 6 characters and only contain the following characters : A-Z, a-z, 0-9, _, -"

Additional info:
In Satellite v5.0 allowed to created ks labels with . (dot). Satellite v5.1.1 doesn't allow.
Have attached the satellite-debug of the system where i verified this issue.
Comment 1 Jason Dobies 2008-10-16 16:32:24 EDT
KickstartCloneAction.java
- Added validation for label that is consistent with editing a label

Commit: 4fb35fe7685d5ffcec446f0a6b383b9621e082de
Tree: 18832a69672a9cc0ccb58fc4ee15e45c9b84b857
Comment 2 Sayli Karmarkar 2008-11-04 15:13:43 EST
Verified in SpaceWalk 0.3

~SayliK
Comment 3 Miroslav Suchý 2009-09-17 03:02:08 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.